Namespace
library
Image / Tag
docker:23.0.1-git
Content Digest
sha256:cb2aae290d6b41faf9e26f3913d11d969e4860e664a747cea3013eb20d75cc3b
Details
Created

2023-03-27 22:23:30 UTC

Size

55.5 MB

Content Digest
Environment
DOCKER_BUILDX_VERSION

0.10.4

DOCKER_COMPOSE_VERSION

2.17.2

DOCKER_TLS_CERTDIR

/certs

DOCKER_VERSION

23.0.1

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:63b65145d645c1250c391b2d16ebe53b3747c295ca8ba2fcb6b0cf064a4dc21c - 5.8% (3.22 MB)

[#001] sha256:79632185ca8edd2f81e00df639abe673c41d8eccdaf5645018f84176515ec993 - 3.55% (1.97 MB)

[#002] sha256:96acd0207079f4bb502230e442b915f42f6fdf9a5a529df671e43170af4921a3 - 27.87% (15.5 MB)

[#003] sha256:cd9b23e3d65924a9a6c0966e8b8f5c404bdf7309d3dbe1272de7d17c4aad5f0a - 27.5% (15.3 MB)

[#004] sha256:2860b8252eee309d93b431d781779ac8a28f0cebd16597b7eeb5f24bfaa43df8 - 28.14% (15.6 MB)

[#005] sha256:0bc699d02dda65a83714d8de11f782e82627fac5f66b16c206ba1e08428b55a0 - 0.0% (553 Bytes)

[#006] sha256:aa39c007c49b4597875b385a6a26ab1fd72ec83c53ba13a51aa01ce6a873d397 - 0.0% (1 KB)

[#007] sha256:794e3b1c8fe98c2ced50f8fcd9a3922080139355560407e5df75873572515eb6 - 0.0% (150 Bytes)

[#008] sha256:06c52886848357daee157cbb6a5742e460c370299028ae33688b845f6ed8c2ab - 7.14% (3.96 MB)


History
2023-02-11 04:46:42 UTC

/bin/sh -c #(nop) ADD file:40887ab7c06977737e63c215c9bd297c0c74de8d12d16ebdf1c3d40ac392f62d in /

2023-02-11 04:46:42 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2023-03-14 00:19:39 UTC

/bin/sh -c apk add --no-cache ca-certificates openssh-client

2023-03-14 00:19:39 UTC

/bin/sh -c [ -e /etc/nsswitch.conf ] && grep '^hosts: files dns' /etc/nsswitch.conf

2023-03-14 00:19:39 UTC

/bin/sh -c #(nop) ENV DOCKER_VERSION=23.0.1

2023-03-14 00:19:43 UTC

/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in 'x86_64') url='https://download.docker.com/linux/static/stable/x86_64/docker-23.0.1.tgz'; ;; 'armhf') url='https://download.docker.com/linux/static/stable/armel/docker-23.0.1.tgz'; ;; 'armv7') url='https://download.docker.com/linux/static/stable/armhf/docker-23.0.1.tgz'; ;; 'aarch64') url='https://download.docker.com/linux/static/stable/aarch64/docker-23.0.1.tgz'; ;; *) echo >&2 "error: unsupported 'docker.tgz' architecture ($apkArch)"; exit 1 ;; esac; wget -O 'docker.tgz' "$url"; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ --no-same-owner 'docker/docker' ; rm docker.tgz; docker --version

2023-03-14 00:19:43 UTC

/bin/sh -c #(nop) ENV DOCKER_BUILDX_VERSION=0.10.4

2023-03-14 00:19:45 UTC

/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in 'x86_64') url='https://github.com/docker/buildx/releases/download/v0.10.4/buildx-v0.10.4.linux-amd64'; sha256='dbe68cdc537d0150fc83e3f30974cd0ca11c179dafbf27f32d6f063be26e869b'; ;; 'armhf') url='https://github.com/docker/buildx/releases/download/v0.10.4/buildx-v0.10.4.linux-arm-v6'; sha256='d50aa01a22a53e5a0eae9918274c9931b813b5336c0e30061a6b1904efb0c5eb'; ;; 'armv7') url='https://github.com/docker/buildx/releases/download/v0.10.4/buildx-v0.10.4.linux-arm-v7'; sha256='aabc8cef5b9221ecbcb0af9846004a30591540be8668504d70814efe870448c8'; ;; 'aarch64') url='https://github.com/docker/buildx/releases/download/v0.10.4/buildx-v0.10.4.linux-arm64'; sha256='e8f666134cf4aa83ec2b1b6afef0c83b1ea1387984d7a40ae6657b7da4d82d91'; ;; 'ppc64le') url='https://github.com/docker/buildx/releases/download/v0.10.4/buildx-v0.10.4.linux-ppc64le'; sha256='d107178f36e6c83286f3f9316e2f66b18f08306570cef209cb5840c880bd91ae'; ;; 'riscv64') url='https://github.com/docker/buildx/releases/download/v0.10.4/buildx-v0.10.4.linux-riscv64'; sha256='393db8518aeb442d0ca5f3ccf4800622dfc5eb8993c29bbfccb023cbfde6cdbc'; ;; 's390x') url='https://github.com/docker/buildx/releases/download/v0.10.4/buildx-v0.10.4.linux-s390x'; sha256='16ce9071c14293640e9bcd547ff01578c65cfc68fc6c154091abd81daaf10929'; ;; *) echo >&2 "warning: unsupported 'docker-buildx' architecture ($apkArch); skipping"; exit 0 ;; esac; wget -O 'docker-buildx' "$url"; echo "$sha256 *"'docker-buildx' | sha256sum -c -; plugin='/usr/libexec/docker/cli-plugins/docker-buildx'; mkdir -p "$(dirname "$plugin")"; mv -vT 'docker-buildx' "$plugin"; chmod +x "$plugin"; docker buildx version

2023-03-27 22:23:03 UTC

/bin/sh -c #(nop) ENV DOCKER_COMPOSE_VERSION=2.17.2

2023-03-27 22:23:06 UTC

/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in 'x86_64') url='https://github.com/docker/compose/releases/download/v2.17.2/docker-compose-linux-x86_64'; sha256='895e20812231543eae9f6b98ef9395327f4f21f1f31fa51fc252d21415802dda'; ;; 'armhf') url='https://github.com/docker/compose/releases/download/v2.17.2/docker-compose-linux-armv6'; sha256='16a2ce7e9bc45cb864020fb61a4da7425162cb5215ee7c81c48f98b6a7c945c4'; ;; 'armv7') url='https://github.com/docker/compose/releases/download/v2.17.2/docker-compose-linux-armv7'; sha256='4c8948696831fde2992e82dfcb505c5d6e4a56df9d759cd39a1dee6b6cded1c0'; ;; 'aarch64') url='https://github.com/docker/compose/releases/download/v2.17.2/docker-compose-linux-aarch64'; sha256='fcc2a21588907a7e6d9aa83538f134d2916f7a756cf391e5ce11b9d67bc4aad0'; ;; 'ppc64le') url='https://github.com/docker/compose/releases/download/v2.17.2/docker-compose-linux-ppc64le'; sha256='546e0421cda6f0bbedd82efc2d95daf9775ec736ae0c82bcdc051c952eee09cd'; ;; 'riscv64') url='https://github.com/docker/compose/releases/download/v2.17.2/docker-compose-linux-riscv64'; sha256='65824b6aad564debb5ae9f70423f94bf5bbf20062fa4d9d47d2d2bcaf6a822b7'; ;; 's390x') url='https://github.com/docker/compose/releases/download/v2.17.2/docker-compose-linux-s390x'; sha256='4fcf6d847203162eb0a698657b98007542047c167188df3c65cca047b4b656c0'; ;; *) echo >&2 "warning: unsupported 'docker-compose' architecture ($apkArch); skipping"; exit 0 ;; esac; wget -O 'docker-compose' "$url"; echo "$sha256 *"'docker-compose' | sha256sum -c -; plugin='/usr/libexec/docker/cli-plugins/docker-compose'; mkdir -p "$(dirname "$plugin")"; mv -vT 'docker-compose' "$plugin"; chmod +x "$plugin"; ln -sv "$plugin" /usr/local/bin/; docker-compose --version; docker compose version

2023-03-27 22:23:06 UTC

/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe

2023-03-27 22:23:06 UTC

/bin/sh -c #(nop) COPY file:5b18768029dab8174c9d5957bb39560bde5ef6cba50fbbca222731a0059b449b in /usr/local/bin/

2023-03-27 22:23:06 UTC

/bin/sh -c #(nop) ENV DOCKER_TLS_CERTDIR=/certs

2023-03-27 22:23:07 UTC

/bin/sh -c mkdir /certs /certs/client && chmod 1777 /certs /certs/client

2023-03-27 22:23:07 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2023-03-27 22:23:07 UTC

/bin/sh -c #(nop) CMD ["sh"]

2023-03-27 22:23:30 UTC

/bin/sh -c apk add --no-cache git

Details
Created

2023-03-27 22:42:09 UTC

Size

51.6 MB

Content Digest
Environment
DOCKER_BUILDX_VERSION

0.10.4

DOCKER_COMPOSE_VERSION

2.17.2

DOCKER_TLS_CERTDIR

/certs

DOCKER_VERSION

23.0.1

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:af6eaf76a39c2d3e7e0b8a0420486e3df33c4027d696c076a99a3d0ac09026af - 6.03% (3.11 MB)

[#001] sha256:1173461b5ecef3415b4ac3667e3fa411fde1f1de59ebd55382468436e35659d6 - 3.77% (1.94 MB)

[#002] sha256:51c470f9a84de1191669030a6b3e5ff5eae92cc3634bdc4369f5886691cd1493 - 28.29% (14.6 MB)

[#003] sha256:37ac63e805444d1ba480b909046597a8d37e29428b4f57b028527d8fdf76c49f - 26.71% (13.8 MB)

[#004] sha256:7098a89c12364441074dad63b13de6e8cd1acf46af17b559d9ff92efe2dd7235 - 27.43% (14.1 MB)

[#005] sha256:0568d7ff50394129bc850746679c67c381f006e6276277aba35a95178f94e157 - 0.0% (551 Bytes)

[#006] sha256:c2a92f53666b01432ceae66a55a0e3e7f2be5ba16aabc165ef5d0b53f8395054 - 0.0% (1 KB)

[#007] sha256:2e943fe71769daa78a8378e808e2de6d6af25bc5166c23f3e328052a4529ae08 - 0.0% (150 Bytes)

[#008] sha256:f37e6aec8655758f4d2c78b5c8adb39dc021972d9c938de4b87d9e1272073bfc - 7.76% (4 MB)


History
2023-02-10 21:24:08 UTC

/bin/sh -c #(nop) ADD file:9bd9ea42a9f3bdc769e80c6b8a4b117d65f73ae68e155a6172a1184e7ac8bcc1 in /

2023-02-10 21:24:08 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2023-03-14 00:39:26 UTC

/bin/sh -c apk add --no-cache ca-certificates openssh-client

2023-03-14 00:39:26 UTC

/bin/sh -c [ -e /etc/nsswitch.conf ] && grep '^hosts: files dns' /etc/nsswitch.conf

2023-03-14 00:39:26 UTC

/bin/sh -c #(nop) ENV DOCKER_VERSION=23.0.1

2023-03-14 00:39:31 UTC

/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in 'x86_64') url='https://download.docker.com/linux/static/stable/x86_64/docker-23.0.1.tgz'; ;; 'armhf') url='https://download.docker.com/linux/static/stable/armel/docker-23.0.1.tgz'; ;; 'armv7') url='https://download.docker.com/linux/static/stable/armhf/docker-23.0.1.tgz'; ;; 'aarch64') url='https://download.docker.com/linux/static/stable/aarch64/docker-23.0.1.tgz'; ;; *) echo >&2 "error: unsupported 'docker.tgz' architecture ($apkArch)"; exit 1 ;; esac; wget -O 'docker.tgz' "$url"; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ --no-same-owner 'docker/docker' ; rm docker.tgz; docker --version

2023-03-14 00:39:31 UTC

/bin/sh -c #(nop) ENV DOCKER_BUILDX_VERSION=0.10.4

2023-03-14 00:39:33 UTC

/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in 'x86_64') url='https://github.com/docker/buildx/releases/download/v0.10.4/buildx-v0.10.4.linux-amd64'; sha256='dbe68cdc537d0150fc83e3f30974cd0ca11c179dafbf27f32d6f063be26e869b'; ;; 'armhf') url='https://github.com/docker/buildx/releases/download/v0.10.4/buildx-v0.10.4.linux-arm-v6'; sha256='d50aa01a22a53e5a0eae9918274c9931b813b5336c0e30061a6b1904efb0c5eb'; ;; 'armv7') url='https://github.com/docker/buildx/releases/download/v0.10.4/buildx-v0.10.4.linux-arm-v7'; sha256='aabc8cef5b9221ecbcb0af9846004a30591540be8668504d70814efe870448c8'; ;; 'aarch64') url='https://github.com/docker/buildx/releases/download/v0.10.4/buildx-v0.10.4.linux-arm64'; sha256='e8f666134cf4aa83ec2b1b6afef0c83b1ea1387984d7a40ae6657b7da4d82d91'; ;; 'ppc64le') url='https://github.com/docker/buildx/releases/download/v0.10.4/buildx-v0.10.4.linux-ppc64le'; sha256='d107178f36e6c83286f3f9316e2f66b18f08306570cef209cb5840c880bd91ae'; ;; 'riscv64') url='https://github.com/docker/buildx/releases/download/v0.10.4/buildx-v0.10.4.linux-riscv64'; sha256='393db8518aeb442d0ca5f3ccf4800622dfc5eb8993c29bbfccb023cbfde6cdbc'; ;; 's390x') url='https://github.com/docker/buildx/releases/download/v0.10.4/buildx-v0.10.4.linux-s390x'; sha256='16ce9071c14293640e9bcd547ff01578c65cfc68fc6c154091abd81daaf10929'; ;; *) echo >&2 "warning: unsupported 'docker-buildx' architecture ($apkArch); skipping"; exit 0 ;; esac; wget -O 'docker-buildx' "$url"; echo "$sha256 *"'docker-buildx' | sha256sum -c -; plugin='/usr/libexec/docker/cli-plugins/docker-buildx'; mkdir -p "$(dirname "$plugin")"; mv -vT 'docker-buildx' "$plugin"; chmod +x "$plugin"; docker buildx version

2023-03-27 22:41:45 UTC

/bin/sh -c #(nop) ENV DOCKER_COMPOSE_VERSION=2.17.2

2023-03-27 22:41:48 UTC

/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in 'x86_64') url='https://github.com/docker/compose/releases/download/v2.17.2/docker-compose-linux-x86_64'; sha256='895e20812231543eae9f6b98ef9395327f4f21f1f31fa51fc252d21415802dda'; ;; 'armhf') url='https://github.com/docker/compose/releases/download/v2.17.2/docker-compose-linux-armv6'; sha256='16a2ce7e9bc45cb864020fb61a4da7425162cb5215ee7c81c48f98b6a7c945c4'; ;; 'armv7') url='https://github.com/docker/compose/releases/download/v2.17.2/docker-compose-linux-armv7'; sha256='4c8948696831fde2992e82dfcb505c5d6e4a56df9d759cd39a1dee6b6cded1c0'; ;; 'aarch64') url='https://github.com/docker/compose/releases/download/v2.17.2/docker-compose-linux-aarch64'; sha256='fcc2a21588907a7e6d9aa83538f134d2916f7a756cf391e5ce11b9d67bc4aad0'; ;; 'ppc64le') url='https://github.com/docker/compose/releases/download/v2.17.2/docker-compose-linux-ppc64le'; sha256='546e0421cda6f0bbedd82efc2d95daf9775ec736ae0c82bcdc051c952eee09cd'; ;; 'riscv64') url='https://github.com/docker/compose/releases/download/v2.17.2/docker-compose-linux-riscv64'; sha256='65824b6aad564debb5ae9f70423f94bf5bbf20062fa4d9d47d2d2bcaf6a822b7'; ;; 's390x') url='https://github.com/docker/compose/releases/download/v2.17.2/docker-compose-linux-s390x'; sha256='4fcf6d847203162eb0a698657b98007542047c167188df3c65cca047b4b656c0'; ;; *) echo >&2 "warning: unsupported 'docker-compose' architecture ($apkArch); skipping"; exit 0 ;; esac; wget -O 'docker-compose' "$url"; echo "$sha256 *"'docker-compose' | sha256sum -c -; plugin='/usr/libexec/docker/cli-plugins/docker-compose'; mkdir -p "$(dirname "$plugin")"; mv -vT 'docker-compose' "$plugin"; chmod +x "$plugin"; ln -sv "$plugin" /usr/local/bin/; docker-compose --version; docker compose version

2023-03-27 22:41:48 UTC

/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe

2023-03-27 22:41:48 UTC

/bin/sh -c #(nop) COPY file:5b18768029dab8174c9d5957bb39560bde5ef6cba50fbbca222731a0059b449b in /usr/local/bin/

2023-03-27 22:41:48 UTC

/bin/sh -c #(nop) ENV DOCKER_TLS_CERTDIR=/certs

2023-03-27 22:41:49 UTC

/bin/sh -c mkdir /certs /certs/client && chmod 1777 /certs /certs/client

2023-03-27 22:41:49 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2023-03-27 22:41:49 UTC

/bin/sh -c #(nop) CMD ["sh"]

2023-03-27 22:42:09 UTC

/bin/sh -c apk add --no-cache git

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete